AUTHSELECT(8)

NAME
authselect - seleciona identidade do sistema e fontes de autenticação.

RESUMO

    authselect [--debug] [--trace] [--warn] comando [opções do comando]

DESCRIÇÃO

Authselect é uma ferramenta para configurar a identidade do sistema e fontes de autenticação e fornecedores ao selecionar um perfil específico. Um perfil é um conjunto de ficheiros que descrevem como a configuração de sistema resultante irá parecer. Quando um perfil é selecionado, o authselect irá criar o nsswitch.conf(5) e a pilha PAM(8) para usar fontes de identidade e autenticação definidas pelo perfil.

Se o conjunto de perfis fornecido não for suficiente, o administrador pode criar um perfil personalizado ao coloca-lo num directório de perfil especial "/etc/authselect/custom"). Ao fazê-o, o perfil fica imediatamente utilizável pelo authselect. Veja authselect-profiles(5) para mais informação sobre estender perfis existentes.

OPT-IN PARA AUTHSELECT

O Authselect não irá tocar na sua configuração existente a menos que já tenha sido criada por ele. Se você quer começar a usar o authselect para configurar a sua autenticação de sistema, por favor chame authselect select com o parâmetro --force primeiro (ex. authselect select sssd --force). O parâmetro --force diz ao authselect que pode sobrescrever a configuração não-authselect existente (veja a descrição em baixo). Usar o parâmetro --force irá gerar automaticamente uma salvaguarda da sua configuração actual para que se desejar voltar atrás você pode restaura-la com o comando authselect backup-restore (veja descrição em baixo).

OPT-OUT DO AUTHSELECT

Para parar o authselect de gerir a sua configuração, corra authselect opt-out. Isto vai remover toda a configuração do authselect do seu sistema e depois você pode modificar a sua configuração manualmente.

COMANDOS DISPONÍVEIS

Para lista todos os comandos disponíveis corra authselect sem nenhuns parâmetros. Para escrever a ajuda para o comando selecionado corra authselect COMANDO --help.

select profile_id [features] [-f, --force] [-q, --quiet] [-b] [--backup=NOME]
    Activa o perfil desejado. Veja a descrição do perfil com o comando show, para listar as funcionalidades opcionais específicas do perfil.

    --force, -f
        Escreve as alterações mesmo que a configuração anterior não tenha sido criada pelo authselect mas por outra ferramenta ou por alterações manuais. Esta opção irá salvaguardar automaticamente os ficheiros do sistema antes de escrever qualquer alteração a menos que a opção --nobackup esteja definida.

    -b
        Salvaguarda os ficheiros de sistema antes de activar o perfil selecionado. A salvaguarda será guardada em "/var/lib/authselect/backups"/NOME. A hora actual com string única é usada como nome da salvaguarda. Isto é um atalho para --backup=.

    --backup=NOME
        Salvaguarda os ficheiros de sistema antes de activar o perfil selecionado. A salvaguarda será guardada em "/var/lib/authselect/backups"/NOME. A hora actual com string única é usada como nome se nenhum valor for fornecido.

    --nobackup
        Não faz cópia de salvaguarda da configuração do sistema mesmo que --force seja definido.

    --quiet, -q
        O comando não irá escrever nenhuma mensagem informativa tais como requerimentos de perfil adicional ou localização de salvaguarda. Os erros continuam a ser escritos.

apply-changes [-b] [--backup=NOME]
    Re-aplica o perfil atualmente selecionado. Se os modelos do perfil foram atualizados este comando pode ser usado para re-gerar a configuração de sistema actual de modo a aplicar essas alterações no sistema. Este comando apenas vai re-aplicar as alterações se a configuração existente for uma configuração válida do authselect. Caso contrário é retornado um erro.

    -b
        Salvaguarda os ficheiros de sistema antes de aplicar alterações. A salvaguarda será guardada em "/var/lib/authselect/backups"/NOME. A hora actual com string única é usada como nome da salvaguarda. Isto é um atalho para --backup=.

    --backup=NOME
        Salvaguarda os ficheiros de sistema antes de aplicar alterações. A salvaguarda será guardada em "/var/lib/authselect/backups"/NOME. A hora actual com string única é usada como nome se nenhum valor for fornecido,

list
    Lista os perfis disponíveis.

list-features profile_id
    Lista todas as funcionalidades disponíveis no perfil dado. Nota: Isto irá apenas mostrar as funcionalidades sem nenhuma descrição. Por favor, leia a documentação do perfil com show para ver o que as funcionalidades fazem.

show profile_id
    Escreve informação acerca do perfil.

requirements profile_id [features]
    Escreve informação acerca dos requerimentos do perfil.

current [-r, --raw]
    Escreve informação sobre perfis selecionados atualmente. Se a opção --raw for especificada, o comando irá escrever parâmetros a cru como eles são passados ao comando select em vez de num resultado formatado.

check
    Verifica se a configuração atual é válida (se foi ou criada pelo authselect ou se não há restos esquecidos da configuração anterior ao authselect).

test profile_id [opções] [features]
    Escreve o conteúdo dos ficheiros gerados pelo authselect sem realmente escrever nada na configuração do sistema.

    -a, --all
        Escreve o conteúdo de todos os ficheiros.

    -n, --nsswitch
        Escreve o conteúdo do nsswitch.conf

    -s, --system-auth
        Escreve o conteúdo do system-auth.

    -p, --password-auth
        Escreve o conteúdo de password-auth.

    -c, --smartcard-auth
        Escreve o conteúdo de smartcard-auth.

    -f, --fingerprint-auth
        Escreve o conteúdo de fingerprint-auth.

    -o, --postlogin
        Escreve o conteúdo de postlogin.

    -d, --dconf-db
        Escreve o conteúdo da base de dados dconf.

    -l, --dconf-lock
        Escreve o conteúdo da tranca dconf.

enable-feature feature [-b] [--backup=NOME] [-q, --quiet]
    Activa funcionalidade no perfil atualmente selecionado.

    -b
        Salvaguarda os ficheiros de sistema antes de activar funcionalidade. A salvaguarda será guardada em "/var/lib/authselect/backups"/NOME. A hora actual com string única é usada como nome da salvaguarda. Isto é um atalho para --backup=.

    --backup=NOME
        Salvaguarda os ficheiros de sistema antes de activar funcionalidade. A salvaguarda será guardada em "/var/lib/authselect/backups"/NOME. A hora actual com string única é usada como nome se nenhum valor for fornecido.

    --quiet, -q
        O comando não irá escrever nenhuma mensagem informativa tais como requerimentos de perfil adicional ou localização de salvaguarda. Os erros continuam a ser escritos.

disable-feature feature [-b] [--backup=NOME]
    Desactiva funcionalidade no perfil selecionado atualmente.

    -b
        Salvaguarda os ficheiros de sistema antes de desactivar funcionalidade. A salvaguarda será guardada em "/var/lib/authselect/backups"/NOME. A hora actual com string única é usada como nome da salvaguarda. Isto é um atalho para --backup=.

    --backup=NOME
        Salvaguarda os ficheiros de sistema antes de desactivar funcionalidade. A salvaguarda será guardada em "/var/lib/authselect/backups"/NOME. A hora actual com string única é usada como se nenhum valor for fornecido.

is-feature-enabled feature
    Check if feature is currently enabled in the selected profile.

create-profile NOME [--vendor,-v] [opções]
    Cria um novo perfil personalizado chamado NAME. O perfil pode ser baseado num perfil existente e nesse caso os novos modelos do perfil são o copiados do perfil base ou criados links simbólicos para estes ficheiros se for selecionada tal opção.

    --vendor,-v
        O novo perfil é um perfil de fornecedor em vez dum perfil personalizado. Veja authselect-profiles(5) para mais informação sobre tipos de perfis.

    --base-on=BASE-ID, -b=BASE-ID
        O novo perfil é baseado num perfil chamado BASE-ID. A localização de perfis base é determinada com estes passos:

            1. Se BASE-ID começar com o prefixo custom/ é um perfil personalizado.

            2. Tenta se BASE-ID é encontrado nos perfis do fornecedor.

            3. Tenta se BASE-ID é encontrado nos perfis predefinidos.

            4. Retorna um erro.

    --base-on-default
        O perfil base é um perfil predefinido mesmo que seja encontrado também dentro dos perfis do fornecedor.

    --symlink-meta
        Mata ficheiros, tais como README e REQUIREMENTS serão links simbólicos para os ficheiros de perfil original em vez de cópias destes.

    --symlink-nsswitch
        O modelo nsswitch.conf será um link simbólico para o ficheiro de perfil original em vez duma cópia dele.

    --symlink-pam
        Os modelos PAM irão ser links simbólicos para os ficheiros de perfil originais em vez de cópias deles.

    --symlink-dconf
        Os modelos dconf irão ser links simbólicos para os ficheiros de perfil originais em vez de suas cópias.

    --symlink=FICHEIRO,-s=FICHEIRO
        Cria um link simbólico para um ficheiro modelo FILE em vez de criar uma cópia dele. Esta opção pode ser passada várias vezes.

COMANDOS DE SALVAGUARDA

Estes comandos podem ser usados para gerir as configurações salvaguardadas.

backup-list [-r, --raw]
    Escreve as salvaguardas disponíveis. Se a opção --raw for especificada, o comando irá apenas os nomes das salvaguardas sem nenhuma formatação nem informação adicional.

backup-remove BACKUP
    Apaga permanentemente a salvaguarda chamada BACKUP.

backup-restore BACKUP
    Restaura a configuração a partir da salvaguarda chamada BACKUP. Nota: isto vai sobrescrever a configuração actual.

OUTROS COMANDOS

opt-out
    Remove configuração do authselect. Isto vai restaurar a configuração nsswitch e PAM sob a sua localização de sistema e o authselect não irá mais geri-lo. Corra authselect select para opt-in de novo.

OPÇÕES COMUNS

Estas opções estão disponíveis com todos os comandos.

--debug
    Escreve informação de depuração e mensagens de erro.

--trace
    Escreve informação sobre o que a ferramenta está a fazer.

--avisar
    Escreve informação acerca de situações inesperadas que não afetam a execução do programa mas podem indicar algumas situações indesejáveis (ex. ficheiro inesperado num directório de perfil).

RESOLUÇÃO DE PROBLEMAS

  Como posso saber se o meu sistema está a usar o authselect?

Use authselect check. O resultado irá dizer-lhe se você tem 1) configuração gerado pelo authselect 2) configuração não-authselect ou 3) configuração que foi gerada pelo authselect mas modificada manualmente a certa altura.

  É suporto o nsswitch.conf agora ser um link simbólico?

O Authselect gera a sua configuração de sistema a partir de rascunho e guarda-a em "/etc/authselect". Os ficheiros do sistema são depois criados como links simbólicos para este directório. Os links simbólicos são usados para tornar claro que o authselect é agora possuidor da sua configuração e deve ser usado em vez de qualquer modificação manual.

  Erro: Foram detetadas alterações inesperadas na configuração.

Por exemplo:

    [erro] [/etc/authselect/nsswitch.conf] não existe!
    [erro] [/etc/nsswitch.conf] não é link simbólico!
    [erro] [/etc/nsswitch.conf] não foi criado pelo authselect!
    [erro] Foram detectadas alterações inesperadas na configuração.
    [erro] Recusando ativar perfil a menos que tais alterações sejam removidas ou é requerido um sobrescrever.

Isto significa que a sua configuração é desconhecia para o authselect e como tal não será modificada. Para corrigir isto, por favor chame authselect select com o parâmetro --force para lhe dizer que a pode sobrescrever.

CÓDIGOS DE RETORNO

O authselect pode retornar estes códigos de saída:

    • 0: Sucesso.

    • 1: Erro genérico.

    • 2: Não foi encontrado perfil ou configuração ou o sistema não foi configurado com o authselect.

    • 3: A configuração actual não é valida, foi editada sem o authselect.

    • 4: A configuração do sistema tem de ser sobrescrita para activar o perfil do authselect, é necessário o parâmetro --force.

    • 5: O comando executado tem de correr como root.

    • 6: Nenhuma configuração foi detectada.

FICHEIROS GERADOS

O Authselect cria e mantem os seguintes ficheiros para configurar a identidade do sistema e fornecedores de autenticação de modo apropriado.

"/etc/nsswitch.conf"
    Ficheiro de configuração do Name Service Switch.

"/etc/pam.d"/system-auth
    Pilha do PAM que é incluída em quase todos os ficheiros de configuração de serviço individuais.

"/etc/pam.d"/password-auth, smartcard-auth, fingerprint-auth
    Estas pilhas do PAM servem para aplicações que lidam com autenticação a partir de diferentes tipos de dispositivos via correndo em simultâneo conversações individuais em vez de uma conversação agregada.

"/etc/pam.d"/postlogin
    O objectivo desta pilha PAM é fornecer um lugar comum para todos os módulos PAM que devem ser chamados após a pilha configurada em system-auth ou os outros ficheiros de configuração do PAM comuns. É incluída a partir de todos os ficheiros de configuração de serviço individuais que fornecem serviço de login com shell ou acesso a ficheiro. NOTA: os módulos no ficheiro de configuração postlogin são executados independentemente do sucesso ou falha dos módulos no ficheiro de configuração do system-auth.

"/etc/dconf/db/distro.d"/"20-authselect"
    Alterações à base de dados dconf. O principal caso de utilização deste ficheiro é definir alterações para o ecrã de inicio de sessão do gnome de modo a activar ou desactivar a autenticação por smartcard e impressão digital.

"/etc/dconf/db/distro.d"/locks/"20-authselect"
    Este ficheiro define trancas em valores definidos na base de dados dconf.

VEJA TAMBÉM

authselect-profiles(5), authselect-migration(7), nsswitch.conf(5), PAM(8)